%define qtdir /usr/lib/qt-1.45
%define kdedir /usr
%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: korganizer
Summary: A calendar and scheduling program for KDE.
Version: 1.1.2
Release: 6
Serial: 2
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
Patch0: korganizer-1.1.2-fixsegfault.patch
License: GPL
Group: Applications/Productivity
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport
BuildPrereq: compat-egcs-c++ kdelibs-devel
Prefix: %{kdeprefix}
Excludearch: ia64

%description
KOrganizer is a complete calendar and scheduling program for the K
Desktop Environment (KDE), a GUI desktop for X.  KOrganizer supports
information interchange with other calendar applications through the
industry standard vCalendar file format.

Install korganizer if you need a scheduling program for KDE.

%prep
%setup -q -n korganizer
%patch0 -p1 -b .fixsegfault

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

make -f Makefile.cvs
[ -f configure.in ] && libtoolize --copy --force
./configure \
	--prefix=%{_prefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 23 2000 Than Ngo <than@redhat.com>
- fix wrong help file location (Bug #16073)

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- move back to distro
- rebuild against the kde1

* Tue Jun  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- clean up specfile
- fix build as nonroot, use %%makeinstall
- current KDE_1_1_BRANCH

* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- fix segfault in alarm daemon the first time korganizer is run

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- fix stripping

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current KDE_1_1_BRANCH (1.1.2 with fixes)
- rebuild for Red Hat Linux 6.2
- work around Makefile breakage (make install-strip failures)

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for KDE 1.1.2 / Red Hat Linux 6.1

* Mon Jun 21 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.1 snapshot

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated to today's snapshot, called it '3pgb'.

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- updates for our own release

* Sun Dec 20 1998 Duncan Haldane <f.d.m.haldane@cwix.com>
- adapted for the KDE-1.1 release

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- updated file specification to pick up config files as such.








